Bug 191638 - SElinux enforcing prevents firefox from starting
SElinux enforcing prevents firefox from starting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-14 07:32 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: -rwxr-xr-x root root 2.2.38-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 12:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2006-05-14 07:32:19 EDT
Description of problem:
SElinux preventing firefox from starting when in enforcing mode

Version-Release number of selected component (if applicable):
libselinux-1.30-1.fc5
selinux-policy-2.2.36-2.fc5
firefox-1.5.0.3-1.1.fc5

How reproducible:
Every time.

Steps to Reproduce:
1.Enable selinux (enforcing)
2.Try and start firefox
3.
  
Actual results:
Firefox doesn't start. 

Expected results:
Firefox starts

Additional info:
I should add that I saw this at the first attempt to run version 1.5.0.3 of
firefox - the first time you run a new version of firefox it does some stuff
where it looks for updates to extensions (even though I have non installed
beyond the language packs which are shipped with the firefox rpm) - I am not
sure if that is relevant. Anyway, the avcs:
audit(1147606064.249:27): avc:  denied  { execmod } for  pid=4194
comm="firefox-bin" name="libxpcom_core.so" dev=hda2 ino=2737592
scontext=user_u:system_r:initrc_t:s0 tcontext=system_u:object_r:file_t:s0
tclass=file
audit(1147606086.379:28): avc:  denied  { execmod } for  pid=4221
comm="firefox-bin" name="libxpcom_core.so" dev=hda2 ino=2737592
scontext=user_u:system_r:initrc_t:s0 tcontext=system_u:object_r:file_t:s0
tclass=file
audit(1147606107.068:29): avc:  denied  { execmod } for  pid=4236
comm="firefox-bin" name="libxpcom_core.so" dev=hda2 ino=2737592
scontext=user_u:system_r:initrc_t:s0 tcontext=system_u:object_r:file_t:s0
tclass=file
audit(1147606115.764:30): avc:  denied  { execmod } for  pid=4251
comm="firefox-bin" name="libxpcom_core.so" dev=hda2 ino=2737592
scontext=user_u:system_r:initrc_t:s0 tcontext=system_u:object_r:file_t:s0
tclass=file
Comment 1 Daniel Walsh 2006-05-15 12:49:59 EDT
Where is libxpcom_core located and how is it labeled?

It should be labeled textrel_shlib_t

ls -lZ /usr/lib/firefox-1.5.0.3/libxpcom_core.so
-rwxr-xr-x  root root system_u:object_r:textrel_shlib_t
/usr/lib/firefox-1.5.0.3/libxpcom_core.so

If not execute restorecon -R -v /usr/lib/firefoxo-1.5.0.3


You should update to the latest policy.

Note You need to log in before you can comment on or make changes to this bug.